xcb_set_access_control(3)

NAME
xcb_set_access_control -

SYNOPSIS
#include <xcb/xproto.h>

  Request function

xcb_void_cookie_t xcb_set_access_control(xcb_connection_t *conn, uint8_t mode);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

mode
    One of the following values:

    XCB_ACCESS_CONTROL_DISABLE
        TODO: NOT YET DOCUMENTED.

    XCB_ACCESS_CONTROL_ENABLE
        TODO: NOT YET DOCUMENTED.
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop.

If you want to handle errors directly with xcb_request_check instead, use xcb_set_access_control_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xproto.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.